Bug 520743 - Latest Fedora Rawhide doesn't have the XGI Volari Z9S chip video driver.
Summary: Latest Fedora Rawhide doesn't have the XGI Volari Z9S chip video driver.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 05:03 UTC by Haruo Tomita
Modified: 2018-04-11 07:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-05 06:30:24 UTC


Attachments (Terms of Use)
Xorg.0.log (20.48 KB, text/plain)
2009-09-02 05:15 UTC, Haruo Tomita
no flags Details
experiment SRPM of xorg-x11-drv (369.10 KB, text/plain)
2009-09-02 05:20 UTC, Haruo Tomita
no flags Details

Description Haruo Tomita 2009-09-02 05:03:11 UTC
Description of problem:
Latest Fedora Rawhide doesn't have the XGI Volari Z9S chip video driver.
Actually, it becomes the following warning. 

(II) Loading /usr/lib/xorg/modules/drivers/xgi_drv.so
(EE) LoadModule: Module xgi does not have a xgiModuleData data object.
(II) UnloadModule: "xgi"
(II) Unloading /usr/lib/xorg/modules/drivers/xgi_drv.so
(EE) Failed to load module "xgi" (invalid module, 0)


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Fedora12 Alpha is installed 

2.
3.
  
Actual results:


Expected results:
The xgi module is load.

Additional info:
Xorg.0.log was attached.

Comment 1 Haruo Tomita 2009-09-02 05:13:14 UTC
xf86-video-xgi Git 

http://cgit.freedesktop.org/xorg/driver/xf86-video-xgi/

has already supported to XGI Volari Z9S.

Comment 2 Haruo Tomita 2009-09-02 05:15:10 UTC
Created attachment 359470 [details]
Xorg.0.log 

The driver works when the git source was used.

Comment 3 Haruo Tomita 2009-09-02 05:20:52 UTC
Created attachment 359471 [details]
experiment SRPM of xorg-x11-drv 

It is SRPM used to test.

Comment 4 Haruo Tomita 2009-09-11 00:32:36 UTC
It seems to work at this SRPM. 

(II) LoadModule: "xgi"
(II) Loading /usr/lib/xorg/modules/drivers/xgi_drv.so
(II) Module xgi: vendor="X.Org Foundation"
	compiled for 1.6.99.1, module version = 1.1.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) XGI: driver for XGI chipsets: Volari V8_V5_V3XT, Volari Z7_Z9_Z9s,
	Volari Z9_Z9s, Volari Z11
(II) Primary Device is: PCI 11@00:03:0
XGIPreInit
(II) Loading sub module "vgahw"

Comment 5 Dave Airlie 2009-11-05 06:06:38 UTC
can you retest with latest

Comment 6 Matěj Cepl 2009-11-05 17:14:45 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 7 Haruo Tomita 2009-11-09 01:38:43 UTC
This issue is not improved F12Beta and Fedora Rawhide (latest update). 
There is no XGI Volari Z9S chip video driver. 

Another issue is also in latest git source. 
It is necessary to correct bug #23634. 

F12Beta

http://mirrors.kernel.org/fedora/releases/test/12-Beta/Fedora/source/SRPMS/

Fedora Rawhide

http://mirrors.kernel.org/fedora/development/source/SRPMS/

xf86-video-xgi git source

http://cgit.freedesktop.org/xorg/driver/xf86-video-xgi/tree/src/xgi_driver.c

bug #23634

http://bugs.freedesktop.org/show_bug.cgi?id=23634

Comment 8 Bug Zapper 2009-11-16 11:54:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-11-04 10:15:24 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Haruo Tomita 2010-11-23 22:51:26 UTC
This bug was reported as Bug 656524.

Comment 11 Bug Zapper 2010-12-05 06:30:24 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.